Subject: bug#21284: 25.0.50; `completion-file-name-table' should/not use `nreverse'?

From: Eli Zaretskii <[email-masked]>
Date: Mon, 06 Jun 2016 17:43:04 +0300

> From: Noam Postavsky <[email-masked]>
> Date: Sun, 5 Jun 2016 22:50:10 -0400
> Cc: Keith David Bershatsky <[email-masked]>, Marcin Borkowski <[email-masked]>
> I'm getting completions in what looks like a random order, here are
> the first few lines for completions in the emacs src directory:

I suspect that there's a hidden factor here: the order in which the
'readdir' libc function returns the directory entries.  On GNU/Linux,
the order is arbitrary (AFAIK, it's the order of the entries in the
directory file).  On MS-Windows, the order is alphabetic, so reversing
will produce the reverse alphabetic order.  I don't know what happens
on OS X.